[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValueEvent

Type of an TStoredValue.OnSave and OnRestore notification handler.

## Declaration

Source position: propertystorage.pas line 34

`type TStoredValueEvent = procedure(`
`Sender: TStoredValue;`
`var Value: TStoredType`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Value` |  | Contains the property value for the event.

## Description

Called before a property is saved, after a it has been restored.